<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [puppeteer](./puppeteer.md) &gt; [Page](./puppeteer.page.md) &gt; [waitForResponse](./puppeteer.page.waitforresponse.md)

## Page.waitForResponse() method

<b>Signature:</b>

```typescript
waitForResponse(urlOrPredicate: string | Function, options?: {
        timeout?: number;
    }): Promise<HTTPResponse>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  urlOrPredicate | string \| Function |  |
|  options | { timeout?: number; } |  |

<b>Returns:</b>

Promise&lt;[HTTPResponse](./puppeteer.httpresponse.md)<!-- -->&gt;

